%global smallversion 0.4

Summary:        Abstraction library for audio visualisation plugins
Name:           libvisual
Version:        0.4.0
Release:        3%{?dist}
License:        LGPLv2+
URL:            http://libvisual.sf.net
Source0:        http://dl.sf.net/libvisual/libvisual-%{version}.tar.gz

BuildRequires:  gcc-c++ make
BuildRequires:  xorg-x11-proto-devel
Patch3000:      libvisual-0.4.0-better-altivec-detection.patch
Patch3001:      libvisual-0.4.0-inlinedefineconflict.patch
Patch3002:      libvisual-0.4.0-format-security.patch
Patch3003:      libvisual-0.4.0-respect-environment-ldflags.patch

%description
Libvisual is a library that comes between applications and audio visualisation
plugins. It provides every application that wants to draw visualisations a
clean and easy-to-use API.

%package        devel
Summary:        Development files for libvisual
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides the development files needed to build an application with libvisual.

%prep
%autosetup -p1

%build
%global optflags %{optflags} -fno-strict-aliasing
%configure
%make_build

%install
%make_install


find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}-%{smallversion}

%files -f %{name}-%{smallversion}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/*.so.*

%files devel
%doc README NEWS TODO AUTHORS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}-%{smallversion}


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 cunshunxia <cunshunxia@tencent.com> - 0.4.0-1
- initial build
